source: trunk/dports/gnome/alacarte/Portfile

Last change on this file was 142708, checked in by devans@…, 20 months ago

alacarte: depend on gnome-themes-standard rather than gnome-settings-daemon, increment revision.

  • Property svn:eol-style set to native
  • Property svn:keywords set to Id
File size: 2.5 KB
Line 
1# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:filetype=tcl:et:sw=4:ts=4:sts=4
2# $Id: Portfile 142708 2015-11-20 20:31:16Z ryandesign@macports.org $
3
4PortSystem      1.0
5
6name            alacarte
7version         3.11.91
8revision        2
9epoch           1
10license         GPL-2+
11set branch      [join [lrange [split ${version} .] 0 1] .]
12description     A simple freedesktop.org compliant menu editor for use with GNOME
13
14long_description \
15                ${description}
16
17maintainers     devans openmaintainer
18categories      gnome
19platforms       darwin
20homepage        http://www.gnome.org/
21master_sites    gnome:sources/${name}/${branch}/
22
23use_xz          yes
24
25checksums       rmd160  234571ead2b7cce827645f75af7b699ff742b8c2 \
26                sha256  d77294f25ac9e4f293530080578d83dc8e014d5b7c6c01d6f9a7f1715719a384
27
28supported_archs noarch
29
30depends_build   port:pkgconfig \
31                port:intltool \
32                port:libxslt \
33                port:docbook-xsl \
34                port:docbook-xml \
35                port:gnome-common \
36                port:autoconf \
37                port:automake \
38                port:libtool
39
40depends_lib     port:desktop-file-utils \
41                port:gtk3 \
42                port:gnome-menus \
43                port:py27-gobject3
44
45depends_run     port:gnome-themes-standard \
46                port:yelp
47
48patchfiles      patch-Makefile.am.diff \
49                patch-configure.ac.diff \
50                patch-acinclude.m4.diff \
51                patch-Alacarte-MenuEditor.py.diff
52
53# reconfigure using upstream autogen.sh for intltool 0.51 compatibility
54
55post-patch {
56    xinstall -m 755 ${filespath}/autogen.sh ${worksrcpath}
57}
58
59configure.cmd   ./autogen.sh
60
61# python3 is not supported
62
63configure.python            ${prefix}/bin/python2.7
64set python_prefix           ${frameworks_dir}/Python.framework/Versions/2.7
65configure.pkg_config_path   ${python_prefix}/lib/pkgconfig
66
67configure.args  --disable-silent-rules
68
69post-destroot {
70    move ${destroot}${prefix}/bin/alacarte.py ${destroot}${prefix}/bin/alacarte
71}
72
73notes "
74    Be sure to set the following environment variables:
75
76        export XDG_DATA_DIRS=${prefix}/share
77        export XDG_CONFIG_DIRS=${prefix}/etc/xdg
78        export XDG_MENU_PREFIX=gnome-
79
80    Alacarte needs them to find installed applications and menus to edit.
81"
82
83post-activate {
84    system "${prefix}/bin/update-desktop-database ${prefix}/share/applications"
85    system "${prefix}/bin/gtk-update-icon-cache-3.0 -f -t ${prefix}/share/icons/hicolor"
86}
87
88livecheck.type  gnome-with-unstable
Note: See TracBrowser for help on using the repository browser.